Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.external.javadoc.optionfile
Class StringsJavadocOptionFileOption

    java.lang.Object
      org.gradle.external.javadoc.optionfile.AbstractJavadocOptionFileOption<T>
          org.gradle.external.javadoc.optionfile.AbstractListJavadocOptionFileOption<java.util.List<java.lang.String>>
              org.gradle.external.javadoc.optionfile.StringsJavadocOptionFileOption

All Implemented Interfaces:
  JavadocOptionFileOption<java.util.List<java.lang.String>>, OptionLessJavadocOptionFileOption<java.util.List<java.lang.String>>

    public class StringsJavadocOptionFileOption

extends AbstractListJavadocOptionFileOption<java.util.List<java.lang.String>>

Field Summary

Fields inherited from class org.gradle.external.javadoc.optionfile.AbstractListJavadocOptionFileOption
`joinBy`

Fields inherited from class org.gradle.external.javadoc.optionfile.AbstractJavadocOptionFileOption
`option, value`

Constructor Summary
`protected` | `StringsJavadocOptionFileOption(java.lang.String option, java.util.List<java.lang.String> value, java.lang.String joinBy)`
`protected` | `StringsJavadocOptionFileOption(java.lang.String option, java.lang.String joinBy)`

Method Summary
`void` | `writeCollectionValue(JavadocOptionFileWriterContext writerContext)`

Methods inherited from class org.gradle.external.javadoc.optionfile.AbstractListJavadocOptionFileOption
`getValue, setValue, write`

Methods inherited from class org.gradle.external.javadoc.optionfile.AbstractJavadocOptionFileOption
`getOption`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringsJavadocOptionFileOption

    protected StringsJavadocOptionFileOption(java.lang.String option,
                                             java.lang.String joinBy)

### StringsJavadocOptionFileOption

    protected StringsJavadocOptionFileOption(java.lang.String option,
                                             java.util.List<java.lang.String> value,
                                             java.lang.String joinBy)

Method Detail

### writeCollectionValue

    public void writeCollectionValue(JavadocOptionFileWriterContext writerContext)
                              throws java.io.IOException

  Specified by:
    `writeCollectionValue` in class `AbstractListJavadocOptionFileOption<java.util.List<java.lang.String>>`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD